<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2009 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author:  2009 ptown67
| http://www.ptown67.de
+--------------------------------------------------------+
| v3.1 Copyright Grimloch, March 2012
| Web: http://www.whisperwillow.com
| Email: webmaster@whisperwillow.com
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."nickpage_panel/infusion_db.php";

if (file_exists(INFUSIONS."nickpage_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."nickpage_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."nickpage_panel/locale/English.php";
}

$inf_title = $locale['np100'];
$inf_description = $locale['np101'];
$inf_version = "3.1";
$inf_developer = "ptown67, Grimloch";
$inf_email = "info@ptown67.de";
$inf_weburl = "http://www.ptown67.de";
$inf_folder = "nickpage_panel";

$inf_newtable[1] = DB_NICKPAGE." (
nickpage_id INT(10) UNSIGNED NOT NULL AUTO_INCREMENT,
nickpage_uid INT(10) UNSIGNED NOT NULL,
nick1_title varchar(50) NOT NULL,
nick2_title varchar(50) NOT NULL,
nick3_title varchar(50) NOT NULL,
nick1_theme varchar(100) NOT NULL,
nick2_theme varchar(100) NOT NULL,
nick3_theme varchar(100) NOT NULL,
nick1_hdr INT(1) UNSIGNED NOT NULL,
nick2_hdr INT(1) UNSIGNED NOT NULL,
nick3_hdr INT(1) UNSIGNED NOT NULL,
nick1_hdr_pic varchar(50) NOT NULL,
nick2_hdr_pic varchar(50) NOT NULL,
nick3_hdr_pic varchar(50) NOT NULL,
nick1_content text NOT NULL,
nick2_content text NOT NULL,
nick3_content text NOT NULL,
nick1_ratings INT(1) UNSIGNED NOT NULL,
nick2_ratings INT(1) UNSIGNED NOT NULL,
nick3_ratings INT(1) UNSIGNED NOT NULL,
nick1_comments INT(1) UNSIGNED NOT NULL,
nick2_comments INT(1) UNSIGNED NOT NULL,
nick3_comments INT(1) UNSIGNED NOT NULL,
nick1_update INT(10) UNSIGNED NOT NULL,
nick2_update INT(10) UNSIGNED NOT NULL,
nick3_update INT(10) UNSIGNED NOT NULL,
nick1_count INT(10) UNSIGNED NOT NULL,
nick2_count INT(10) UNSIGNED NOT NULL,
nick3_count INT(10) UNSIGNED NOT NULL,
PRIMARY KEY (nickpage_id)
) ".(strnatcmp(mysql_get_server_info(),'4.0.18') >= 0 ? "ENGINE" : "TYPE")."=MyISAM;";

$inf_droptable[1] = DB_NICKPAGE;

$inf_deldbrow[1] = DB_PANELS." WHERE panel_filename='nickpage_panel'";

$inf_adminpanel[1] = array(
	"title" => $locale['np100'],
	"image" => "wl.gif",
	"panel" => "nickpage_admin.php",
	"rights" => "PNP"
);
?>