<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2012 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: nickpage_admin.php
| Copyright  2009 ptown67
| http://www.ptown67.de
+--------------------------------------------------------+
| v3.1 Copyright Grimloch, March 2012
| Web: http://www.whisperwillow.com
| Email: webmaster@whisperwillow.com
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";
include INFUSIONS."nickpage_panel/infusion_db.php";
include INFUSIONS."nickpage_panel/includes/nickpage_functions.php";

if (file_exists(INFUSIONS."nickpage_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."nickpage_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."nickpage_panel/locale/English.php";
}

if (!checkrights("PNP") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../../index.php"); }

if (isset($_GET['user'])) { $nickpage = dbquery("SELECT * FROM ".DB_NICKPAGE." WHERE nickpage_uid='".$_GET['user']."'");
if (dbrows($nickpage)) {

$page_data = dbarray($nickpage);
$user = dbquery("SELECT * FROM ".DB_USERS." WHERE user_id='".$page_data['nickpage_uid']."'");
$user_data = dbarray($user);

opentable($locale['np800']." ".$user_data['user_name']);

echo "<form name='nickpage' method='post' action='".FUSION_SELF."?aid=".$_GET['aid']."&user=".$_GET['user']."'>";
echo "<table cellpadding='5' cellspacing='1' width='100%' align='center' class='tbl-border'>";

if(isset($_POST['update'])) {

	if(($_POST['title1']<>$page_data['nick1_title']) || ($_POST['theme1']<>$page_data['nick1_theme']) || ($_POST['content1']<>$page_data['nick1_content'])) {
$update1 = time();
} else { $update1 = $page_data['nick1_update']; }
	if(($_POST['title2']<>$page_data['nick2_title']) || ($_POST['theme2']<>$page_data['nick2_theme']) || ($_POST['content2']<>$page_data['nick2_content'])) {
$update2 = time();
} else { $update2 = $page_data['nick2_update']; }
	if(($_POST['title3']<>$page_data['nick3_title']) || ($_POST['theme3']<>$page_data['nick3_theme']) || ($_POST['content3']<>$page_data['nick3_content'])) {
$update3 = time();
} else { $update3 = $page_data['nick3_update']; }

$result = dbquery("UPDATE ".DB_NICKPAGE." SET nick1_title='".$_POST['title1']."', nick2_title='".$_POST['title2']."', nick3_title='".$_POST['title3']."', nick1_theme='".$_POST['theme1']."', nick2_theme='".$_POST['theme2']."', nick3_theme='".$_POST['theme3']."', nick1_hdr='".$_POST['hdr1']."', nick2_hdr='".$_POST['hdr2']."', nick3_hdr='".$_POST['hdr3']."', nick1_hdr_pic='".$_POST['pic1']."', nick2_hdr_pic='".$_POST['pic2']."', nick3_hdr_pic='".$_POST['pic3']."', nick1_content='".$_POST['content1']."', nick2_content='".$_POST['content2']."', nick3_content='".$_POST['content3']."', nick1_ratings='".$_POST['rates1']."', nick2_ratings='".$_POST['rates2']."', nick3_ratings='".$_POST['rates3']."', nick1_comments='".$_POST['comments1']."', nick2_comments='".$_POST['comments2']."', nick3_comments='".$_POST['comments3']."', nick1_update='$update1', nick2_update='$update2', nick3_update='$update3' WHERE nickpage_uid='".$_GET['user']."'");
redirect (FUSION_SELF."?aid=".$_GET['aid']."&user=".$_GET['user']);
}
if(isset($_GET['action'])) {
  if ($_GET['action'] == "delete") {
  $result = dbquery("DELETE FROM ".DB_NICKPAGE." WHERE nickpage_uid='".$userdata['user_id']."'");
  $result = dbquery("DELETE FROM ".DB_RATINGS." WHERE rating_item_id='".$page_data['nickpage_id']."' AND rating_type='X'");
  $result = dbquery("DELETE FROM ".DB_RATINGS." WHERE rating_item_id='".$page_data['nickpage_id']."' AND rating_type='Y'");
  $result = dbquery("DELETE FROM ".DB_RATINGS." WHERE rating_item_id='".$page_data['nickpage_id']."' AND rating_type='Z'");
  $result = dbquery("DELETE FROM ".DB_COMMENTS." WHERE comment_item_id='".$page_data['nickpage_id']."' AND comment_type='XP'");
  $result = dbquery("DELETE FROM ".DB_COMMENTS." WHERE comment_item_id='".$page_data['nickpage_id']."' AND comment_type='YP'");
  $result = dbquery("DELETE FROM ".DB_COMMENTS." WHERE comment_item_id='".$page_data['nickpage_id']."' AND comment_type='ZP'");
  redirect(FUSION_SELF."?aid=".$_GET['aid']);
}
  if ($_GET['action'] == "resetcounter1") {
  $result = dbquery("UPDATE ".DB_NICKPAGE." SET nick1_count='0' WHERE nickpage_uid='".$user_data['user_id']."'");
  redirect (FUSION_SELF."?aid=".$_GET['aid']."&user=".$_GET['user']);
  }
  if ($_GET['action'] == "resetcounter2") {
  $result = dbquery("UPDATE ".DB_NICKPAGE." SET nick2_count='0' WHERE nickpage_uid='".$user_data['user_id']."'");
  redirect (FUSION_SELF."?aid=".$_GET['aid']."&user=".$_GET['user']);
  }
  if ($_GET['action'] == "resetcounter3") {
  $result = dbquery("UPDATE ".DB_NICKPAGE." SET nick3_count='0' WHERE nickpage_uid='".$user_data['user_id']."'");
  redirect (FUSION_SELF."?aid=".$_GET['aid']."&user=".$_GET['user']);
  }
  if ($_GET['action'] == "resetcomments1") {
  $result = dbquery("DELETE FROM ".DB_COMMENTS." WHERE comment_item_id='".$page_data['nickpage_id']."' AND comment_type='XP'");
  redirect (FUSION_SELF);
  }
  if ($_GET['action'] == "resetcomments2") {
  $result = dbquery("DELETE FROM ".DB_COMMENTS." WHERE comment_item_id='".$page_data['nickpage_id']."' AND comment_type='YP'");
  redirect (FUSION_SELF);
  }
  if ($_GET['action'] == "resetcomments3") {
  $result = dbquery("DELETE FROM ".DB_COMMENTS." WHERE comment_item_id='".$page_data['nickpage_id']."' AND comment_type='ZP'");
  redirect (FUSION_SELF);
  }
  if ($_GET['action'] == "resetratings1") {
  $result = dbquery("DELETE FROM ".DB_RATINGS." WHERE rating_item_id='".$page_data['nickpage_id']."' AND rating_type='X'");
  redirect (FUSION_SELF);
  }
  if ($_GET['action'] == "resetratings2") {
  $result = dbquery("DELETE FROM ".DB_RATINGS." WHERE rating_item_id='".$page_data['nickpage_id']."' AND rating_type='Y'");
  redirect (FUSION_SELF);
  }
  if ($_GET['action'] == "resetratings3") {
  $result = dbquery("DELETE FROM ".DB_RATINGS." WHERE rating_item_id='".$page_data['nickpage_id']."' AND rating_type='Z'");
  redirect (FUSION_SELF."?aid=".$_GET['aid']."&user=".$_GET['user']);
  }
}

echo "<tr>";
echo "<td class='tbl1' align='center' colspan='3'><br /><br /><strong>".$locale['np850']."".$user_data['user_name']."".$locale['np200a']."</strong><br /><br /></td>";
echo "</tr>";

echo "<tr>";
echo "<td class='tbl1' height='25px' style='white-space:nowrap'>".$locale['np702']."</td>";
echo "<td class='tbl1' align='left' colspan='2'><input type='text' name='title1' size='40' class='textbox' value='".$page_data['nick1_title']."'/>";
echo "</td>";
echo "</tr>";

echo "<tr>";
echo "<td class='tbl1' height='25px' style='white-space:nowrap'>".$locale['np702a']."</td>";
echo "<td class='tbl1' align='left' colspan='2'><input type='text' name='title2' size='40' class='textbox' value='".$page_data['nick2_title']."'/>";
echo "</td>";
echo "</tr>";

echo "<tr>";
echo "<td class='tbl1' height='25px' style='white-space:nowrap'>".$locale['np702b']."</td>";
echo "<td class='tbl1' align='left' colspan='2'><input type='text' name='title3' size='40' class='textbox' value='".$page_data['nick3_title']."'/>";
echo "</td>";
echo "</tr>";

$pic1 = makefilelist(INFUSIONS."nickpage_panel/images/hdrs/", ".|..", true, "files");
$pic2 = makefilelist(INFUSIONS."nickpage_panel/images/hdrs/", ".|..", true, "files");
$pic3 = makefilelist(INFUSIONS."nickpage_panel/images/hdrs/", ".|..", true, "files");
echo "<tr>";
echo "<td class='tbl1' align='left' valign='top'>".$locale['np740']."<br /><br /><br /><br />".$locale['np741']."<br /><br /><br /><br />".$locale['np742']."</td>";
echo "<td class='tbl1' align='left' valign='top'>
<select name='pic1' class='textbox'>\n";
echo makefileopts($pic1, $page_data['nick1_hdr_pic'])."</select><br /><br /><br /><br />
<select name='pic2' class='textbox'>\n";
echo makefileopts($pic2, $page_data['nick2_hdr_pic'])."</select><br /><br /><br /><br />
<select name='pic3' class='textbox'>\n";
echo makefileopts($pic3, $page_data['nick3_hdr_pic'])."</select>
</td>\n";
require_once INFUSIONS."nickpage_panel/includes/colorbox1_include.php";
echo "<td class='tbl1' align='center' valign='top'><table cellpadding='3'><tr>\n";
echo "<td colspan='4' align='center'>".$locale['np722']."</td></tr><tr>\n";
echo "<td align='center'><a href='".INFUSIONS."nickpage_panel/images/hdrs/hdr01.jpg' rel='hdrpics' title='".$locale['np750']."' /><img src='".INFUSIONS."nickpage_panel/images/hdrthb/hdr01thb.jpg' width='100' style='border:0' /></a><br />".$locale['np750']."<br /><br /></td>\n";
echo "<td align='center'><a href='".INFUSIONS."nickpage_panel/images/hdrs/hdr02.jpg' rel='hdrpics' title='".$locale['np751']."' /><img src='".INFUSIONS."nickpage_panel/images/hdrthb/hdr02thb.jpg' width='100' style='border:0' /></a><br />".$locale['np751']."<br /><br /></td>\n";
echo "<td align='center'><a href='".INFUSIONS."nickpage_panel/images/hdrs/hdr03.jpg' rel='hdrpics' title='".$locale['np752']."' /><img src='".INFUSIONS."nickpage_panel/images/hdrthb/hdr03thb.jpg' width='100' style='border:0' /></a><br />".$locale['np752']."<br /><br /></td>\n";
echo "<td align='center'><a href='".INFUSIONS."nickpage_panel/images/hdrs/hdr04.jpg' rel='hdrpics' title='".$locale['np753']."' /><img src='".INFUSIONS."nickpage_panel/images/hdrthb/hdr04thb.jpg' width='100' style='border:0' /></a><br />".$locale['np753']."<br /><br /></td>\n";
echo "</tr><tr>\n";
echo "<td align='center'><a href='".INFUSIONS."nickpage_panel/images/hdrs/hdr05.jpg' rel='hdrpics' title='".$locale['np754']."' /><img src='".INFUSIONS."nickpage_panel/images/hdrthb/hdr05thb.jpg' width='100' style='border:0' /></a><br />".$locale['np754']."<br /><br /></td>\n";
echo "<td align='center'><a href='".INFUSIONS."nickpage_panel/images/hdrs/hdr06.jpg' rel='hdrpics' title='".$locale['np755']."' /><img src='".INFUSIONS."nickpage_panel/images/hdrthb/hdr06thb.jpg' width='100' style='border:0' /></a><br />".$locale['np755']."<br /><br /></td>\n";
echo "<td align='center'><a href='".INFUSIONS."nickpage_panel/images/hdrs/hdr07.jpg' rel='hdrpics' title='".$locale['np756']."' /><img src='".INFUSIONS."nickpage_panel/images/hdrthb/hdr07thb.jpg' width='100' style='border:0' /></a><br />".$locale['np756']."<br /><br /></td>\n";
echo "<td align='center'><a href='".INFUSIONS."nickpage_panel/images/hdrs/hdr08.jpg' rel='hdrpics' title='".$locale['np757']."' /><img src='".INFUSIONS."nickpage_panel/images/hdrthb/hdr08thb.jpg' width='100' style='border:0' /></a><br />".$locale['np757']."<br /><br /></td>\n";
echo "</tr><tr>\n";
echo "<td align='center'><a href='".INFUSIONS."nickpage_panel/images/hdrs/hdr09.jpg' rel='hdrpics' title='".$locale['np758']."' /><img src='".INFUSIONS."nickpage_panel/images/hdrthb/hdr09thb.jpg' width='100' style='border:0' /></a><br />".$locale['np758']."<br /><br /></td>\n";
echo "<td align='center'><a href='".INFUSIONS."nickpage_panel/images/hdrs/hdr10.jpg' rel='hdrpics' title='".$locale['np759']."' /><img src='".INFUSIONS."nickpage_panel/images/hdrthb/hdr10thb.jpg' width='100' style='border:0' /></a><br />".$locale['np759']."<br /><br /></td>\n";
echo "<td align='center'><a href='".INFUSIONS."nickpage_panel/images/hdrs/hdr11.jpg' rel='hdrpics' title='".$locale['np760']."' /><img src='".INFUSIONS."nickpage_panel/images/hdrthb/hdr11thb.jpg' width='100' style='border:0' /></a><br />".$locale['np760']."<br /><br /></td>\n";
echo "<td align='center'><a href='".INFUSIONS."nickpage_panel/images/hdrs/hdr12.jpg' rel='hdrpics' title='".$locale['np761']."' /><img src='".INFUSIONS."nickpage_panel/images/hdrthb/hdr12thb.jpg' width='100' style='border:0' /></a><br />".$locale['np761']."<br /><br /></td>\n";
echo "</tr></table></td></tr>\n";

$theme1 = makefilelist(INFUSIONS."nickpage_panel/themes/", ".|..", true, "folders");
$theme2 = makefilelist(INFUSIONS."nickpage_panel/themes/", ".|..", true, "folders");
$theme3 = makefilelist(INFUSIONS."nickpage_panel/themes/", ".|..", true, "folders");
echo "<tr>";
echo "<td class='tbl1' align='left' valign='top'>".$locale['np703']."<br /><br />".$locale['np703a']."<br /><br />".$locale['np703b']."</td>";
echo "<td class='tbl1' align='left' valign='top'>
<select name='theme1' class='textbox'>\n";
echo makefileopts($theme1, $page_data['nick1_theme'])."</select><br /><br />
<select name='theme2' class='textbox'>\n";
echo makefileopts($theme2, $page_data['nick2_theme'])."</select><br /><br />
<select name='theme3' class='textbox'>\n";
echo makefileopts($theme3, $page_data['nick3_theme'])."</select>
</td>\n";
include INFUSIONS."nickpage_panel/includes/colorbox2_include.php";
echo "<td class='tbl1' align='center' valign='top'><table cellpadding='3'><tr>\n";
echo "<td colspan='4' align='center'>".$locale['np722']."</td></tr><tr>\n";
echo "<td align='center'><a href='".INFUSIONS."nickpage_panel/images/themes/bluefire.jpg' rel='nicpics' title='".$locale['np723']."' /><img src='".INFUSIONS."nickpage_panel/images/themes/bluefire_tb.jpg' width='100' style='border:0' /></a><br />".$locale['np723']."</td>\n";
echo "<td align='center'><a href='".INFUSIONS."nickpage_panel/images/themes/bluenight.jpg' rel='nicpics' title='".$locale['np724']."' /><img src='".INFUSIONS."nickpage_panel/images/themes/bluenight_tb.jpg' width='100' style='border:0' /></a><br />".$locale['np724']."</td>\n";
echo "<td align='center'><a href='".INFUSIONS."nickpage_panel/images/themes/dark.jpg' rel='nicpics' title='".$locale['np725']."' /><img src='".INFUSIONS."nickpage_panel/images/themes/dark_tb.jpg' width='100' style='border:0' /></a><br />".$locale['np725']."</td>\n";
echo "<td align='center'><a href='".INFUSIONS."nickpage_panel/images/themes/miragegreen.jpg' rel='nicpics' title='".$locale['np726']."' /><img src='".INFUSIONS."nickpage_panel/images/themes/miragegreen_tb.jpg' width='100' style='border:0' /></a><br />".$locale['np726']."</td>\n";
echo "</tr><tr>\n";
echo "<td align='center'><a href='".INFUSIONS."nickpage_panel/images/themes/paradox.jpg' rel='nicpics' title='".$locale['np727']."' /><img src='".INFUSIONS."nickpage_panel/images/themes/paradox_tb.jpg' width='100' style='border:0' /></a><br />".$locale['np727']."</td>\n";
echo "<td align='center'><a href='".INFUSIONS."nickpage_panel/images/themes/ptown67.jpg' rel='nicpics' title='".$locale['np728']."' /><img src='".INFUSIONS."nickpage_panel/images/themes/ptown67_tb.jpg' width='100' style='border:0' /></a><br />".$locale['np728']."</td>\n";
echo "<td align='center'><a href='".INFUSIONS."nickpage_panel/images/themes/satinred.jpg' rel='nicpics' title='".$locale['np729']."' /><img src='".INFUSIONS."nickpage_panel/images/themes/satinred_tb.jpg' width='100' style='border:0' /></a><br />".$locale['np729']."</td>\n";
echo "<td align='center'><a href='".INFUSIONS."nickpage_panel/images/themes/xmasday.jpg' rel='nicpics' title='".$locale['np730']."' /><img src='".INFUSIONS."nickpage_panel/images/themes/xmasday_tb.jpg' width='100' style='border:0' /></a><br />".$locale['np730']."</td>\n";
echo "</tr></table></td></tr>\n";

echo "<tr>\n";
echo "<td class='tbl1' valign='top' style='white-space:nowrap'>".$locale['np704']."</td>";
echo "<td class='tbl1' align='center' colspan='2'><textarea name='content1' cols='40' rows='15' class='textbox' style='width: 99%;'>";
echo $page_data['nick1_content'];
echo "</textarea>";
require_once INCLUDES."bbcode_include.php";
echo display_bbcodes("350px", "content1", "nickpage", "smiley|b|i|u|center|small|url|mail|img|quote|color");
echo "</td>";
echo "</tr>";

echo "<tr>\n";
echo "<td class='tbl1' valign='top' style='white-space:nowrap'>".$locale['np704a']."</td>";
echo "<td class='tbl1' align='center' colspan='2'><textarea name='content2' cols='40' rows='15' class='textbox' style='width: 99%;'>";
echo $page_data['nick2_content'];
echo "</textarea>";
echo display_bbcodes("350px", "content2", "nickpage", "smiley|b|i|u|center|small|url|mail|img|quote|color");
echo "</td>";
echo "</tr>";

echo "<tr>\n";
echo "<td class='tbl1' valign='top' style='white-space:nowrap'>".$locale['np704b']."</td>";
echo "<td class='tbl1' align='center' colspan='2'><textarea name='content3' cols='40' rows='15' class='textbox' style='width: 99%;'>";
echo $page_data['nick3_content'];
echo "</textarea>";
echo display_bbcodes("350px", "content3", "nickpage", "smiley|b|i|u|center|small|url|mail|img|quote|color");
echo "</td>";
echo "</tr>";

echo "<tr>";
echo "<td class='tbl1' height='25px' style='white-space:nowrap'>".$locale['np740']."</td>";
echo "<td class='tbl1' align='left' colspan='2'>";
echo "<table width='100%' cellspacing='0' cellpadding='0' border='0'><tr>";
echo "<td align='left'>".$locale['np770']." <input type='checkbox' name='hdr1' value='1'";
if ($page_data['nick1_hdr'] != "0") echo "checked";
echo "/></td></tr></table>";
echo "</td>";
echo "</tr>";

echo "<tr>";
echo "<td class='tbl1' height='25px' style='white-space:nowrap'>".$locale['np741']."</td>";
echo "<td class='tbl1' align='left' colspan='2'>";
echo "<table width='100%' cellspacing='0' cellpadding='0' border='0'><tr>";
echo "<td align='left'>".$locale['np771']." <input type='checkbox' name='hdr2' value='1'";
if ($page_data['nick2_hdr'] != "0") echo "checked";
echo "/></td></tr></table>";
echo "</td>";
echo "</tr>";

echo "<tr>";
echo "<td class='tbl1' height='25px' style='white-space:nowrap'>".$locale['np742']."</td>";
echo "<td class='tbl1' align='left' colspan='2'>";
echo "<table width='100%' cellspacing='0' cellpadding='0' border='0'><tr>";
echo "<td align='left'>".$locale['np772']." <input type='checkbox' name='hdr3' value='1'";
if ($page_data['nick3_hdr'] != "0") echo "checked";
echo "/></td></tr></table>";
echo "</td>";
echo "</tr>";

echo "<tr>";
echo "<td class='tbl1' height='25px' style='white-space:nowrap'>".$locale['np705']."</td>";
echo "<td class='tbl1' align='left' colspan='2'>";
$ratings1 = dbrows(dbquery("SELECT * FROM ".DB_RATINGS." WHERE rating_item_id='".$page_data['nickpage_id']."' AND rating_type='X'"));
if ($ratings1 == 1) $rating_ext = $locale['np706']; else $rating_ext = $locale['np707'];
echo "<table width='100%' cellspacing='0' cellpadding='0' border='0'><tr>";
echo "<td align='left'>".$locale['np711']." <input type='checkbox' name='rates1' value='1'";
if ($page_data['nick1_ratings'] != "0") echo "checked";
echo "/><img src='./images/clearpix.gif' height='1' width='200' alt='' />".totalrating1($page_data['nickpage_id'])."</td>";
echo "<td align='right'><strong>".$ratings1."</strong> ".$rating_ext;
if ($ratings1 != 0) {
echo " [<a href='".FUSION_SELF."?aid=".$_GET['aid']."&user=".$_GET['user']."&action=resetratings1' onClick=\"return confirm('".$locale['np708']."')\">".$locale['np709']."</a>]";
}
echo "</td></tr></table>";
echo "</td>";
echo "</tr>";

echo "<tr>";
echo "<td class='tbl1' height='25px' style='white-space:nowrap'>".$locale['np705a']."</td>";
echo "<td class='tbl1' align='left' colspan='2'>";
$ratings2 = dbrows(dbquery("SELECT * FROM ".DB_RATINGS." WHERE rating_item_id='".$page_data['nickpage_id']."' AND rating_type='Y'"));
if ($ratings2 == 1) $rating_ext = $locale['np706']; else $rating_ext = $locale['np707'];
echo "<table width='100%' cellspacing='0' cellpadding='0' border='0'><tr>";
echo "<td align='left'>".$locale['np711']." <input type='checkbox' name='rates2' value='1'";
if ($page_data['nick2_ratings'] != "0") echo "checked";
echo "/><img src='./images/clearpix.gif' height='1' width='200' alt='' />".totalrating2($page_data['nickpage_id'])."</td>";
echo "<td align='right'><strong>".$ratings2."</strong> ".$rating_ext;
if ($ratings2 != 0) {
echo " [<a href='".FUSION_SELF."?aid=".$_GET['aid']."&user=".$_GET['user']."&action=resetratings2' onClick=\"return confirm('".$locale['np708']."')\">".$locale['np709']."</a>]";
}
echo "</td></tr></table>";
echo "</td>";
echo "</tr>";

echo "<tr>";
echo "<td class='tbl1' height='25px' style='white-space:nowrap'>".$locale['np705b']."</td>";
echo "<td class='tbl1' align='left' colspan='2'>";
$ratings3 = dbrows(dbquery("SELECT * FROM ".DB_RATINGS." WHERE rating_item_id='".$page_data['nickpage_id']."' AND rating_type='Z'"));
if ($ratings3 == 1) $rating_ext = $locale['np706']; else $rating_ext = $locale['np707'];
echo "<table width='100%' cellspacing='0' cellpadding='0' border='0'><tr>";
echo "<td align='left'>".$locale['np711']." <input type='checkbox' name='rates3' value='1'";
if ($page_data['nick3_ratings'] != "0") echo "checked";
echo "/><img src='./images/clearpix.gif' height='1' width='200' alt='' />".totalrating3($page_data['nickpage_id'])."</td>";
echo "<td align='right'><strong>".$ratings3."</strong> ".$rating_ext;
if ($ratings3 != 0) {
echo " [<a href='".FUSION_SELF."?aid=".$_GET['aid']."&user=".$_GET['user']."&action=resetratings3' onClick=\"return confirm('".$locale['np708']."')\">".$locale['np709']."</a>]";
}
echo "</td></tr></table>";
echo "</td>";
echo "</tr>";

echo "<tr>";
echo "<td class='tbl1' height='25px' style='white-space:nowrap'>".$locale['np710']."</td>";
echo "<td class='tbl1' align='left' colspan='2'>";
echo "<table width='100%' cellspacing='0' cellpadding='0' border='0'><tr>";
echo "<td align='left'>".$locale['np711']." <input type='checkbox' name='comments1' value='1'";
if ($page_data['nick1_comments'] != "0") echo "checked";
echo "/></td>";
$comments1 = dbrows(dbquery("SELECT * FROM ".DB_COMMENTS." WHERE comment_item_id='".$page_data['nickpage_id']."' AND comment_type='XP'"));
if ($comments1 == 1) $comment_ext = $locale['np712']; else $comment_ext = $locale['np713'];
echo "<td align='right'><strong>".$comments1."</strong> ".$comment_ext;
if ($comments1 != 0) {
echo " [<a href='".FUSION_SELF."?aid=".$_GET['aid']."&user=".$_GET['user']."&action=resetcomments1' onClick=\"return confirm('".$locale['np714']."')\">".$locale['np709']."</a>]";
}
echo "</td></tr></table>";
echo "</td>";
echo "</tr>";

echo "<tr>";
echo "<td class='tbl1' height='25px' style='white-space:nowrap'>".$locale['np710a']."</td>";
echo "<td class='tbl1' align='left' colspan='2'>";
echo "<table width='100%' cellspacing='0' cellpadding='0' border='0'><tr>";
echo "<td align='left'>".$locale['np711']." <input type='checkbox' name='comments2' value='1'";
if ($page_data['nick2_comments'] != "0") echo "checked";
echo "/></td>";
$comments2 = dbrows(dbquery("SELECT * FROM ".DB_COMMENTS." WHERE comment_item_id='".$page_data['nickpage_id']."' AND comment_type='YP'"));
if ($comments2 == 1) $comment_ext = $locale['np712']; else $comment_ext = $locale['np713'];
echo "<td align='right'><strong>".$comments2."</strong> ".$comment_ext;
if ($comments2 != 0) {
echo " [<a href='".FUSION_SELF."?aid=".$_GET['aid']."&user=".$_GET['user']."&action=resetcomments2' onClick=\"return confirm('".$locale['np714']."')\">".$locale['np709']."</a>]";
}
echo "</td></tr></table>";
echo "</td>";
echo "</tr>";

echo "<tr>";
echo "<td class='tbl1' height='25px' style='white-space:nowrap'>".$locale['np710b']."</td>";
echo "<td class='tbl1' align='left' colspan='2'>";
echo "<table width='100%' cellspacing='0' cellpadding='0' border='0'><tr>";
echo "<td align='left'>".$locale['np711']." <input type='checkbox' name='comments3' value='1'";
if ($page_data['nick3_comments'] != "0") echo "checked";
echo "/></td>";
$comments3 = dbrows(dbquery("SELECT * FROM ".DB_COMMENTS." WHERE comment_item_id='".$page_data['nickpage_id']."' AND comment_type='ZP'"));
if ($comments3 == 1) $comment_ext = $locale['np712']; else $comment_ext = $locale['np713'];
echo "<td align='right'><strong>".$comments3."</strong> ".$comment_ext;
if ($comments3 != 0) {
echo " [<a href='".FUSION_SELF."?aid=".$_GET['aid']."&user=".$_GET['user']."&action=resetcomments3' onClick=\"return confirm('".$locale['np714']."')\">".$locale['np709']."</a>]";
}
echo "</td></tr></table>";
echo "</td>";
echo "</tr>";

echo "<tr>";
echo "<td class='tbl1' height='25px' style='white-space:nowrap'>".$locale['np715']."</td>";
echo "<td class='tbl1' align='left' colspan='2'>";
echo "<strong>".$page_data['nick1_count']."</strong>";
if ($page_data['nick1_count'] != 0) {
echo " [<a href='".FUSION_SELF."?aid=".$_GET['aid']."&user=".$_GET['user']."&action=resetcounter1' onClick=\"return confirm('".$locale['np716']."')\">".$locale['np717']."</a>]";
}
echo "</td>";
echo "</tr>";

echo "<tr>";
echo "<td class='tbl1' height='25px' style='white-space:nowrap'>".$locale['np715a']."</td>";
echo "<td class='tbl1' align='left' colspan='2'>";
echo "<strong>".$page_data['nick2_count']."</strong>";
if ($page_data['nick2_count'] != 0) {
echo " [<a href='".FUSION_SELF."?aid=".$_GET['aid']."&user=".$_GET['user']."&action=resetcounter2' onClick=\"return confirm('".$locale['np716']."')\">".$locale['np717']."</a>]";
}
echo "</td>";
echo "</tr>";

echo "<tr>";
echo "<td class='tbl1' height='25px' style='white-space:nowrap'>".$locale['np715b']."</td>";
echo "<td class='tbl1' align='left' colspan='2'>";
echo "<strong>".$page_data['nick3_count']."</strong>";
if ($page_data['nick3_count'] != 0) {
echo " [<a href='".FUSION_SELF."?aid=".$_GET['aid']."&user=".$_GET['user']."&action=resetcounter3' onClick=\"return confirm('".$locale['np716']."')\">".$locale['np717']."</a>]";
}
echo "</td>";
echo "</tr>";

echo "<tr>";
echo "<td class='tbl1' height='25px' style='white-space:nowrap'>".$locale['np718']."</td>";
echo "<td class='tbl1' align='left' colspan='2'>";
echo "<a href='".FUSION_SELF."?aid=".$_GET['aid']."&user=".$_GET['user']."&action=delete' onClick=\"return confirm('".$locale['np719']."')\">".$locale['np720']."</a>";
echo "</td>";
echo "</tr>";

echo "<tr>";
echo "<td class='tbl1' colspan='3' align='center'><input type='submit' name='update' class='button' value='".$locale['np721a']."'></td>";
echo "</tr>";

echo "</table>";
echo "</form>";

closetable();
} 
} else {

opentable($locale['np823']);

if (dbrows(dbquery("SELECT * FROM ".DB_NICKPAGE)) ==0) {
echo "<br /><center>".$locale['np824']."</center><br />";
} else {

$search = array(
		"A","B","C","D","E","F","G","H","I","J","K","L","M","N","O","P","Q","R",
		"S","T","U","V","W","X","Y","Z","0","1","2","3","4","5","6","7","8","9"
	);
	echo "<table cellpadding='0' cellspacing='1' class='tbl-border center'>\n<tr>\n";
	echo "<td rowspan='2' class='tbl1'><a href='".FUSION_SELF."?aid=".$_GET['aid']."&sortby=all'>".$locale['np825']."</a></td>";
	for ($i = 0; $i < 36 != ""; $i++) {
		echo "<td align='center' class='tbl1'><div class='small'><a href='".FUSION_SELF."?aid=".$_GET['aid']."&sortby=".$search[$i]."'>".$search[$i]."</a></div></td>";
		echo ($i == 17 ? "<td rowspan='2' class='tbl1'><a href='".FUSION_SELF."?aid=".$_GET['aid']."&sortby=all'>".$locale['np825']."</a></td>\n</tr>\n<tr>\n" : "\n");
	}
	echo "</tr>\n</table>\n<hr />\n";

	if (!isset($_GET['sortby']) || !preg_match("/^[0-9A-Z]$/", $_GET['sortby'])) { $_GET['sortby'] = "all"; }
	$orderby = ($_GET['sortby'] == "all" ? "" : " WHERE user_name LIKE '".stripinput($_GET['sortby'])."%'");
	$result = dbquery("SELECT * FROM ".DB_USERS." INNER JOIN ".DB_NICKPAGE." ON user_id = nickpage_uid".$orderby."");
	$rows = dbrows($result);
	if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }
	if ($rows) {
		$i = 0;
		echo "<table cellpadding='0' cellspacing='1' width='100%' class='tbl-border'>\n<tr>\n";
		echo "<td class='tbl1'><strong>".$locale['np826']."</strong></td>\n";
		echo "<td class='tbl1'><strong>".$locale['np827']."</strong></td>\n";
		echo "<td class='tbl1' width='1%' align='center'><strong>".$locale['np828']."</strong></td>\n";
		echo "<td class='tbl1' width='1%'><strong>".$locale['np829']."</strong></td>\n";
		echo "</tr>\n";
		$result = dbquery("SELECT * FROM ".DB_USERS.$orderby." ORDER BY user_level DESC, user_name LIMIT ".$_GET['rowstart'].",20");
		while ($data = dbarray($result)) {

      $result2 = dbquery("SELECT * FROM ".DB_NICKPAGE." WHERE nickpage_uid='".$data['user_id']."'");
      $nickpage = dbarray($result2);

      if ($nickpage['nickpage_uid'] == $data['user_id']) {
			echo "<tr>\n<td class='tbl1'>\n<a href='".FUSION_SELF."?aid=".$_GET['aid']."&user=".$data['user_id']."'>".$data['user_name']."</a></td>\n";
			echo "<td class='tbl1'>\n";
			if ($nickpage['nick1_title'] != $data['user_name']) $title = $nickpage['nick1_title'];
			else $title = "-";
			echo $title;
			echo "</td>\n";
			echo "<td class='tbl1'>".totalrating1($nickpage['nickpage_id'])."</td>\n";
			echo "<td class='tbl1' align='center'>".$nickpage['nick1_count']."</td>\n";
			echo "</tr>";
		}
		}
		echo "</table>\n";
	} else {
		echo "<center><br />\n".$locale['np830']." <strong>".$_GET['sortby']."</strong> ".$locale['np831']."<br /><br />\n</center>\n";
	}
}
closetable();
}
require_once THEMES."templates/footer.php";
?>