<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2012 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: nickpage_index.php
| Author:  2009 ptown67
| http://www.ptown67.de
| Based on members.php by Digitanium
+--------------------------------------------------------+
| v3.1 Copyright Grimloch, March 2012
| Web: http://www.whisperwillow.com
| Email: webmaster@whisperwillow.com
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";
include INFUSIONS."nickpage_panel/infusion_db.php";
include INFUSIONS."nickpage_panel/includes/nickpage_functions.php";

if (file_exists(INFUSIONS."nickpage_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."nickpage_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."nickpage_panel/locale/English.php";
};

opentable($locale['np600']);

	if (!isset($_GET['sortby']) || !preg_match("/^[0-9A-Z]$/", $_GET['sortby'])) { $_GET['sortby'] = "nickpage_uid"; }
	$orderby = ($_GET['sortby'] == "nickpage_uid" ? "" : " WHERE nickpage_uid LIKE '".stripinput($_GET['sortby'])."%'");
	$result = dbquery("SELECT * FROM ".DB_NICKPAGE.$orderby."");
	$rows = dbrows($result);
	if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }
	if ($rows) {
		echo "<table cellpadding='0' cellspacing='1' width='100%' class='tbl-border'>\n<tr>\n";
		echo "<td class='tbl2'><strong>".$locale['np603']."</strong></td>\n";
		echo "<td class='tbl2'><strong>".$locale['np604']."</strong></td>\n";
		echo "<td class='tbl2' width='1%' align='center'><strong>".$locale['np605']."</strong></td>\n";
		echo "<td class='tbl2' width='1%'><strong>".$locale['np606']."</strong></td>\n";
		echo "</tr>\n";
		$result = dbquery("SELECT * FROM ".DB_NICKPAGE." ORDER BY nick1_count DESC LIMIT ".$_GET['rowstart'].",10");
		if (dbrows($result) != 0) {
	$n_count = 0;
			while ($data = dbarray($result)) {
			$result2 = dbquery("SELECT user_id, user_name FROM ".DB_USERS." WHERE user_id='".$data['nickpage_uid']."'");
			$user = dbarray($result2);
		echo "<tr>\n<td class='tbl1'>\n<a href='".BASEDIR."nick1.php?user=".$user['user_id']."'>".$user['user_name']."</a></td>\n";
		echo "<td class='tbl1'>\n";
		if ($data['nick1_title'] != $user['user_name']) $title = "".$data['nick1_title']."".$locale['np608']."";
		else $title = "".$data['nick1_title']."".$locale['np608']."";
		echo $title;
		echo "</td>\n";
		echo "<td class='tbl1'>".totalrating1($data['nickpage_id'])."</td>\n";
		echo "<td class='tbl1' align='center'>".$data['nick1_count']."</td>\n";
		echo "</tr>";
			}
	$n_count++;
		}
		echo "<tr><td class='tbl2' align='center' colspan='4'>\n";
if ($rows > 10) { echo "<div align='center' style='margin-top:5px;'>".makepagenav($_GET['rowstart'], 10, $rows, 3, FUSION_SELF."?sortby=".$_GET['sortby']."&amp;")."</div></td>\n"; }
		echo "</tr></table>\n";
	} else {
		echo "<center><br />\n".$locale['np601']." <strong>".$_GET['sortby']."</strong> ".$locale['np607']."<br /><br />\n</center>\n";
	}

closetable();

require_once THEMES."templates/footer.php";
?>