<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2009 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: nick3.php
| Copyright  2012 Grimloch
| http://www.whisperwillow.com
| Orig Filename: nickpage.php
| Copyright  2009 ptown67
| http://www.ptown67.de
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "maincore.php";
include INFUSIONS."nickpage_panel/infusion_db.php";
require_once INFUSIONS."nickpage_panel/includes/nickpage_functions.php";

if (file_exists(INFUSIONS."nickpage_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."nickpage_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."nickpage_panel/locale/English.php";
}

if ($settings['maintenance'] == "1" && !iADMIN) { redirect(BASEDIR."maintenance.php"); }
if (!isset($_GET['user']) || !isnum($_GET['user'])) { redirect ("index.php"); }

$user = dbquery("SELECT * FROM ".DB_USERS." WHERE user_id='".$_GET['user']."'");
if (dbrows($user)) { $user_data = dbarray($user); } else { redirect("index.php"); }
if ($user_data['user_status'] > "0") { redirect("index.php"); }
$nickpage = dbquery("SELECT * FROM ".DB_NICKPAGE." WHERE nickpage_uid='".$_GET['user']."'");
if (dbrows($nickpage)) { $page_data = dbarray($nickpage); } else { redirect("index.php"); }
if (!isset($_COOKIE[COOKIE_PREFIX."_nickpage3".$page_data['nickpage_id']."_visited"])) {
$result = dbquery("UPDATE ".DB_NICKPAGE." SET nick3_count=nick3_count+1 WHERE nickpage_uid='".$_GET['user']."'");
setcookie(COOKIE_PREFIX."_nickpage3".$page_data['nickpage_id']."_visited", "yes", time() + 86400, "/", "", "0");
}
echo "<!DOCTYPE html PUBLIC '-//W3C//DTD XHTML 1.0 Transitional//EN' 'http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd'>\n";
echo "<html xmlns='http://www.w3.org/1999/xhtml' xml:lang='".$locale['xml_lang']."' lang='".$locale['xml_lang']."'>\n";
echo "<head>\n<title>".$settings['sitename']." - ".$user_data['user_name']."".$locale['np200a']."</title>\n";
echo "<meta http-equiv='Content-Type' content='text/html; charset=".$locale['charset']."' />\n";
echo "<meta name='description' content='".$settings['description']."' />\n";
echo "<meta name='keywords' content='".$settings['keywords']."' />\n";
echo "<link rel='stylesheet' href='".INFUSIONS."nickpage_panel/themes/".$page_data['nick3_theme']."/styles.css' type='text/css' media='screen' />\n";
echo "<link rel='shortcut icon' href='".IMAGES."favicon.ico' type='image/x-icon' />\n";
echo "</head>\n<body>\n";

echo "<table cellpadding='0' cellspacing='0' align='center' class='container'><tr><td>\n";
echo "<table cellpadding='0' cellspacing='0' width='100%' border='0'><tr>\n";
if ($page_data['nick3_hdr'] == "1") {
echo "<td width='1000' height='250' background='".INFUSIONS."nickpage_panel/images/hdrs/".$page_data['nick3_hdr_pic']."' align='center' valign='top'></td>\n";
} else {
echo "<td class='hdr' align='right' valign='top'>".$user_data['user_name']."".$locale['np200']."".$page_data['nick3_title']."&nbsp;&nbsp;</td>\n";
}
echo "</tr></table>\n";

echo "<table cellpadding='0' cellspacing='0' width='100%' border='0'><tr>\n";
echo "<td class='top-left'></td><td class='top' align='left' valign='middle'><a class='sub-head' href='".BASEDIR."nick1.php?user=".$page_data['nickpage_uid']."'>".$page_data['nick1_title']."</a> :: <a class='sub-head' href='".BASEDIR."nick2.php?user=".$page_data['nickpage_uid']."'>".$page_data['nick2_title']."</a> :: ".$page_data['nick3_title']."</td>\n";
echo "<td class='top' align='right' valign='middle'><b>".showdate("forumdate", time())." @</b> <span id='tick2'></span>
<script type='text/Javascript'>
<!--

/*By JavaScript Kit
http://javascriptkit.com
Credit MUST stay intact for use
*/

function show2(){
if (!document.all&&!document.getElementById)
return
thelement=document.getElementById? document.getElementById('tick2'): document.all.tick2
var Digital=new Date()
var hours=Digital.getHours()
var minutes=Digital.getMinutes()
var seconds=Digital.getSeconds()
var dn='pm'
if (hours<12)
dn='am'
if (hours>12)
hours=hours-12
if (hours==0)
hours=12
if (minutes<=9)
minutes='0'+minutes
if (seconds<=9)
seconds='0'+seconds
var ctime=hours+':'+minutes+':'+seconds+' '+dn
thelement.innerHTML='<b style=\'font-size:10px;\'>'+ctime+'</b>'
setTimeout('show2()',1000)
}
window.onload=show2
//-->
</script>&nbsp;</td>\n";
echo "<td class='top-right'></td>\n";
echo "</tr>\n</table>\n";

echo "<table cellpadding='0' cellspacing='0' width='100%' border='0' class='userinfo'>\n<tr>\n";
echo "<td class='side-left'></td>\n";
if ($user_data['user_avatar'] && file_exists(IMAGES."avatars/".$user_data['user_avatar'])) {
echo "<td width='3%'><img hspace='5' src='".IMAGES."avatars/".$user_data['user_avatar']."' alt='' /></td>\n";
} else {
echo "<td width='3%'><img hspace='5' src='".INFUSIONS."nickpage_panel/images/noav.png' alt='' /></td>\n";
}
echo "<td valign='top'>";
echo "<table cellpadding='0' cellspacing='7' width='100%' border='0' class='userinfo'>\n<tr>\n";
echo "<td width='1%' style='white-space:nowrap'><b>".$locale['np201']."</b></td>\n";
echo "<td align='right'><a href='".BASEDIR."profile.php?lookup=".$user_data['user_id']."'><b>".$user_data['user_name']."</b></a></td>\n";
echo "</tr>\n<tr>\n";
echo "<td width='1%' style='white-space:nowrap'><b>".$locale['np202']."</b></td>\n";
echo "<td align='right'><b>".getuserlevel($user_data['user_level'])."</b></td>\n";
echo "</tr>\n";
echo "<tr>\n";
echo "<td width='1%' style='white-space:nowrap'><b>".$locale['np203']."</b></td>\n";
echo "<td align='right'><b>".showdate("longdate", $page_data['nick3_update'])."</b></td>\n";
echo "</tr>\n<tr>\n";
if ($page_data['nick3_ratings'] == "1") {
echo "<td width='1%' style='white-space:nowrap'><b>".$locale['np204']."</b></td>\n";
echo "<td align='right'>".totalrating3($page_data['nickpage_id'])."</td>\n";
}
echo "</tr>\n</table>\n";
echo "</td><td class='side-right'></td>\n</tr>\n";
echo "</table>\n";

echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr class='navigation'>\n<td class='mid-left'></td><td class='sub-head'>\n";
if (iGUEST) { echo "&nbsp;<a class='sub-head' href='".BASEDIR."login.php'>".$locale['np205']."</a> :: "; }
if ($settings['enable_registration'] && iGUEST) { echo "<a class='sub-head' href='".BASEDIR."register.php'>".$locale['np206']."</a> :: "; }
if (iMEMBER && $page_data['nickpage_uid'] != $userdata['user_id'] && dbrows(dbquery("SELECT * FROM ".DB_NICKPAGE." WHERE nickpage_uid='".$userdata['user_id']."'"))) { echo "<a class='sub-head' href='".BASEDIR."nick3.php?user=".$userdata['user_id']."'>".$locale['np207']."</a> :: "; }
if (iMEMBER) { echo "&nbsp;<a class='sub-head' href='".INFUSIONS."nickpage_panel/edit_nickpages.php'>".$locale['np208']."</a> :: "; }
echo " <a class='sub-head' href='".INFUSIONS."nickpage_panel/nickpage_index.php'>".$locale['np209']."</a> :: ";
echo "<a class='sub-head' href='".$settings['siteurl']."'>".$locale['np210']." ".$settings['sitename']."</a>";
if (iMEMBER)  { echo " :: <a class='sub-head' href='".BASEDIR."setuser.php?logout=yes'>".$locale['np211']."</a>"; }
echo "</td>\n";
echo "<td align='right' class='sub-head'>\n";
if (iADMIN && checkrights("PNP")) {
echo "[<a class='sub-head' href='".INFUSIONS."nickpage_panel/nickpage_admin.php".$aidlink."&user=".$page_data['nickpage_uid']."'>".$locale['np212']."</a>]&nbsp;\n";
}
echo "</td><td class='mid-right'></td>\n";
echo "</tr>\n</table>\n";

require_once INCLUDES."bbcode_include.php";
echo "<table cellpadding='0' cellspacing='0' width='100%' class='content'>\n<tr>\n<td class='side-left'></td><td>\n";
if ($page_data['nick3_content'] != '') {
$content = str_replace("\n","<br />",$page_data['nick3_content']);
$content = preg_replace("#\[img\]((http|ftp|https|ftps)://)(.*?)(\.(jpg|jpeg|gif|png|JPG|JPEG|GIF|PNG))\[/img\]#sie","'<span style=\'width: 350px; max-height: 300px; overflow: auto;\' class=\'forum-img-wrapper\'><img src=\'\\1'.str_replace(array('?','&amp;','&','='),'','\\3').'\\4\' alt=\'\\3\\4\' style=\'border:0px\' class=\'forum-img\' /></span>'",$content);
$content = preg_replace('#\[center\](.*?)\[/center\]#si', '<center>\1</center>', $content);
$content = preg_replace('#\[small\](.*?)\[/small\]#si', '<span class=\'small\'>\1</span>', $content);
echo parseubb(parsesmileys($content), "b|i|u|url|color|mail");
if ($user_data['user_sig']) { echo "<br /><br /><hr width='100%' /><div align='left'>".parseubb(parsesmileys($user_data['user_sig']), "b|i|u||center|small|url|mail|img|color")."</div>"; }
} else {
echo "<br /><center>".$locale['np213']."</center><br />";
}
echo "</td>\n<td class='side-right'></td></tr>\n</table>\n";

if ($page_data['nick3_ratings'] == "1") {
echo "<table cellpadding='0' cellspacing='0' width='100%' class='navigation'>\n<tr>\n";
echo "<td class='mid-left'></td><td class='sub-head'>".$locale['np214']."</td>\n<td class='mid-right'></td></tr>\n</table>\n";
echo "<table cellpadding='0' cellspacing='0' width='100%' class='content'>\n<tr>\n<td class='side-left'></td><td>\n";
require_once INFUSIONS."nickpage_panel/includes/ratings_include.php";
showratings("Z", $page_data['nickpage_id'], FUSION_SELF."?user=".$page_data['nickpage_uid']);
echo "</td><td class='side-right'></td></tr><tr>\n";
echo "<td class='side-left'></td><td align='center'><br /><br />".$locale['np204']."&nbsp;&nbsp;".totalrating3($page_data['nickpage_id'])."</td>\n";
echo "<td class='side-right'></td>\n";
echo "</tr>\n</table>\n";
}

if ($page_data['nick3_comments'] == "1") {
echo "<table cellpadding='0' cellspacing='0' width='100%' class='navigation'>\n<tr>\n";
echo "<td class='mid-left'></td><td align='left' class='sub-head'>".$locale['np215'];
if (iADMIN && checkrights("C")) {
echo " [<a href='".ADMIN."comments.php".$aidlink."&amp;ctype=ZP&amp;cid=".$page_data['nickpage_id']."'>".$locale['np212']."</a>]\n";
}
echo "</td>\n<td class='mid-right'></td></tr>\n</table>\n";
echo "<table cellpadding='0' cellspacing='0' width='100%' class='content'>\n<tr>\n<td class='side-left'></td><td>\n";
require_once INFUSIONS."nickpage_panel/includes/comments_include.php";
showcomments("ZP", DB_NICKPAGE, "nickpage_id", $page_data['nickpage_id'], FUSION_SELF."?user=".$page_data['nickpage_uid']);
echo "</td>\n<td class='side-right'></td></tr>\n</table>\n";
}
// Das Copyright darf nicht entfernt werden! // Do not remove the Copyright!
echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
echo "<td class='footer-left'></td><td class='footer' align='left'>".$locale['np100']." &copy; 2009 by <a href='http://www.ptown67.de' class='white' target='_blank'>ptown67</a></td>\n";
echo "<td class='footer' align='center'>".$locale['np250']."</td>\n";
echo "<td class='footer' align='right'>".sprintf($locale['global_172'], substr((get_microtime() - START_TIME),0,4))." :: ".$page_data['nick3_count']." ".$locale['np216']."</td><td class='footer-right'></td>\n";
echo "</tr>\n</table>\n";
echo "</td>\n</tr>\n</table>\n";
echo "<br />\n<div align='center' class='sub-foot'>\n";
echo "".$locale['np260']."".$page_data['nick3_theme']."<br /><br />\n";
echo "Powered by <a class='sub-foot' href='http://www.php-fusion.co.uk'>PHP-Fusion</a> copyright &copy; 2002 - ".date("Y")." by Nick Jones.<br />\n";
echo "Released as free software without warranties under <a class='sub-foot' href='http://www.fsf.org/licensing/licenses/agpl-3.0.html'>GNU Affero GPL</a> v3.<br />\n";
echo "</div><br /><br />\n";

echo "</body>\n</html>\n";
?>